# Advanced image upload Efficiently upload a large volume of images (up to 5000) from a ZIP file to an advanced dataset. FIBO Specific Behavior: * Upload without Schema: You CAN initiate a bulk upload to a FIBO dataset even if visual_schema is null. * Captioning: If the schema is missing, images will be uploaded but caption generation will be skipped. You must call Regenerate All Captions after defining the schema. * ZIP Content: Should contain images only. Text files are ignored. Legacy Specific Behavior: * ZIP Content: Can contain images and optional .txt caption files. * Captioning: Uses automatic_captioning flag or provided text files. General: * Asynchronous operation; status can be retrieved via {dataset_id}/bulk-upload/status. * Supported for 'advanced' upload type datasets only. * This endpoint is for bulk upload and does not support the increase_resolution parameter. * Images that fail validation (e.g., unsupported format, wrong dimensions, missing captions) will be skipped and included in the failure report. * If the dataset is not empty, if another bulk upload is in progress, or if any previous bulk upload attemp took place, the request will fail. Image Requirements: * Supported formats: jpg, jpeg, png, webp. * Minimum dimensions: 1024 x 1024 pixels. * Total size limit: 5 GB zip file. Endpoint: POST /tailored-gen/datasets/{dataset_id}/images/bulk-upload ## Path parameters: - `dataset_id` (integer, required) The ID of the dataset to upload images to. Must be an 'advanced' dataset. ## Header parameters: - `api_token` (string, required) ## Request fields (application/json): - `zip_url` (string) The publicly accessible URL of the ZIP file to upload. - `automatic_captioning` (boolean) (Legacy only) Controls automatic caption generation. - `content_moderation` (boolean) When enabled, applies content moderation to input visuals. ## Response 400 fields (application/json): - `message` (string) ## Response 202 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 413 fields ## Response 429 fields ## Response 500 fields